## skrooge 2.25.0

=== debian/changelog ===
skrooge (2.25.0-0ubuntu1) impish; urgency=medium

  * New upstream release (2.25.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 01 May 2021 12:17:43 +0100
