## skrooge 2.26.1

=== debian/changelog ===
skrooge (2.26.1-1) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * New upstream release.
  * Update list of installed files.

  [ Pino Toscano ]
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Minor update to the lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Aug 2021 07:03:48 +0200
