=== debian/changelog ===
skrooge (2.27.0-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 18:00:14 +0300

skrooge (2.27.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Update install files.
  * Unregister skrooge_unit.knsrc as conffile, as it is no more in /etc.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jan 2022 10:45:25 +0100
