=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0),
                qtbase5-dev (>= 5.12.0~),
@@ -62,8 +62,6 @@
          ${shlibs:Depends}
 Recommends: poppler-utils
 Suggests: aqbanking-tools (>= 5.6.10)
-Breaks: skrooge-common (<< 2.13.0-2~),
-Replaces: skrooge-common (<< 2.13.0-2~),
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
