## skrooge 2.28.0

=== debian/changelog ===
skrooge (2.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Drop the removal of development .so symlinks, as they are no more shipped.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Aug 2022 16:27:22 +0200
