=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0),
@@ -46,7 +46,7 @@
                python3:any,
                shared-mime-info,
                gettext,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
